Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450856 - mrg-staging repo does not have groups described in gettings started guide.
Summary: mrg-staging repo does not have groups described in gettings started guide.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution
Version: beta
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
: ---
Assignee: Justin Ross
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 13:36 UTC by Alan Conway
Modified: 2008-12-09 15:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-09 15:45:42 UTC


Attachments (Terms of Use)

Description Alan Conway 2008-06-11 13:36:01 UTC
Description of problem:


(09:28:47 AM) Alan Conway: Jonathan: gsim: jross: The getting started guide says
to: yum groupinstall "MRG Messaging"  ; but there is no such group in the
mrg-staging repo. Which needs to be fixed?
(09:29:14 AM) Jonathan: ouch! the repo needs to be fixed, aconway
(09:29:27 AM) jross: aconway, that's just because the mrg-staging.repo doesn't
have the "comps.xml" metadata that defines those groups
(09:29:37 AM) Jonathan: the groupinstall stuff was new, doc did not drive this,
we changed the docs to support this
(09:30:06 AM) jross: aconway, Jonathan, don't sweat that too hard
(09:30:33 AM) Alan Conway: jross: not sweating, but we need the staging repo to
be just like the user repo will be so we can verify what we've told users to do.
(09:30:51 AM) ***Jonathan vigorously agrees with aconway
(09:31:25 AM) astitcher_d left the room (quit: Quit: Leaving.).
(09:31:35 AM) jross: aconway, I can see about getting the comps.xml.  mikeb, how
hard would it be to get that for our staging repo?
(09:31:58 AM) Alan Conway: jross: shall I bugzilla it?
(09:32:06 AM) mikeb: jross: not hard at all, but I don't manage the staging repo
(09:32:27 AM) mikeb: jross: just need to pass the -g comps-rhel5-mrg.xml to
createrepo 
mikeb mikeb_ 
(09:32:48 AM) jross: mikeb, ah, okay.  I could probably do that
(09:33:04 AM) jross: mikeb, where is comps-rhel5-mrg.xml kept?
(09:33:15 AM) jross: aconway, sure, a bz would be good
(09:33:19 AM) Alan Conway: jross: mikeb: can we use the same scripts that will
create the user repo to create the staging repo so we can be sure they match?
(09:33:25 AM) mikeb: jross: you can grab it from here:
http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/comps/?cvsroot=RH-Devel

(09:28:47 AM) Alan Conway: Jonathan: gsim: jross: The getting started guide says
to: yum groupinstall "MRG Messaging"  ; but there is no such group in the
mrg-staging repo. Which needs to be fixed?
(09:29:14 AM) Jonathan: ouch! the repo needs to be fixed, aconway
(09:29:27 AM) jross: aconway, that's just because the mrg-staging.repo doesn't
have the "comps.xml" metadata that defines those groups
(09:29:37 AM) Jonathan: the groupinstall stuff was new, doc did not drive this,
we changed the docs to support this
(09:30:06 AM) jross: aconway, Jonathan, don't sweat that too hard
(09:30:33 AM) Alan Conway: jross: not sweating, but we need the staging repo to
be just like the user repo will be so we can verify what we've told users to do.
(09:30:51 AM) ***Jonathan vigorously agrees with aconway
(09:31:25 AM) astitcher_d left the room (quit: Quit: Leaving.).
(09:31:35 AM) jross: aconway, I can see about getting the comps.xml.  mikeb, how
hard would it be to get that for our staging repo?
(09:31:58 AM) Alan Conway: jross: shall I bugzilla it?
(09:32:06 AM) mikeb: jross: not hard at all, but I don't manage the staging repo
(09:32:27 AM) mikeb: jross: just need to pass the -g comps-rhel5-mrg.xml to
createrepo 
mikeb mikeb_ 
(09:32:48 AM) jross: mikeb, ah, okay.  I could probably do that
(09:33:04 AM) jross: mikeb, where is comps-rhel5-mrg.xml kept?
(09:33:15 AM) jross: aconway, sure, a bz would be good
(09:33:19 AM) Alan Conway: jross: mikeb: can we use the same scripts that will
create the user repo to create the staging repo so we can be sure they match?
(09:33:25 AM) mikeb: jross: you can grab it from here:
http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/comps/?cvsroot=RH-Devel
(09:33:45 AM) jross: mikeb, thanks
(09:34:04 AM) mikeb: aconway: no, sorry, the scripts for the user repo does a
lot of other stuff

Comment 1 Justin Ross 2008-06-17 14:37:12 UTC
This was fixed for the rhel 5 staging repo in the first update to the RC1
package set.

Comment 2 Justin Ross 2008-12-09 15:45:42 UTC
Okay this is an old and now irrelevant issue.  Closing.


Note You need to log in before you can comment on or make changes to this bug.